Program Talk_Demo;
  { This program demonstrates a speech synthesis program
    written and copyrighted by Andy McGuire, Dec. 2,1983
    and modified for use with Turbo Pascal by Jim Margarit,
    Dec., 1985.  The actual speech synthesizer program,
    originally designed to interface to basic, is called
    Speech.com.  A modified version to accomodate Turbo
    Pascal is called t-speech.com.  A file, Speak.pas,
    contains procedures for calling the speech module,
    while Turbolip.com contains assembly code that
    acts as an external Pascal procedure.  All three
    are needed to run this program.  To use,
    T-speech.com, Turbolip.com and Speak.pas must be
    present on your Turbo working disk. Simply
    compile this program and run normally.               }


type
str = string[255];  { The string length is not critical. }
{$i speak.pas}      { Brings in Speak, Call_Speech, and Turbolip.com. }

var
text : str ;

Begin
 Clrscr;
 Text := 's-p-ee-ch b-i ae-n-d-ee m-ih-k g-w-i-r';
 Writeln ( 'SPEECH by Andy McGuire' );
 Speak ( text );
 Delay ( 500 ) ;
 Writeln ( 'a b c d e f g h i j k etc.');
 Speak ( 'a-ee b-ee s-ee d-ee ee-ee eh-f j-ee a-ch i j-a k-a');
 Delay ( 500 );
 Speak ( 'eh-t s-eh-t-uh-r-uh' );
 Delay ( 800 );
 Writeln ( #10,'My phonemes are....');
 Writeln ( 'u a i b d g j p t k w y r l m n s v f h z' );
 Speak ( 'm-i f-o-n-ee-m-s ah-r' );
 Delay ( 500 );
 Speak ( 'u a i b d g j p t k w y r l m n s v f h z' );
 Delay ( 1000 );
 Writeln ( #10, 'and' );
 Writeln ( 'aw ah uh ae oh eh oo ih ee wh ch sh tz th zh' );
 Speak ( 'ae-n-d' );
 Delay ( 800 );
 Speak ( 'aw ah uh ae oh eh oo ih ee wh ch sh tz th zh' );
 Delay ( 800 );
 Writeln ( #10, 'Ok, now repeat those ten times fast!' );
 Speak ( 'i l-ah-v y-oo   s-oo-s-ee' );  { A dedication of sorts. }


end.   { Profound, eh? }